# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(List/Util.pm) perl(Math/BigInt.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl(base.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define module_name List-Util-MaybeXS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.500002
Release: alt1
Summary: L<List::Util> but with Pure Perl fallback
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HA/HAARG/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides the same functions as the List::Util manpage, but falls back to
pure perl implementations if the installed the List::Util manpage is too old to provide
them.

Picking between the List::Util manpage's XS accellerated functions and the PP versions is
done on a per-sub basis, so using this module should never result in a slowdown
over using the List::Util manpage directly.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/L*

%changelog
* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.500002-alt1
- initial import by package builder

